commit:     6df02770ae8efbe8003ef5e6351411aca827f0c9
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 27 12:21:27 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Apr 27 12:21:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6df02770

net-misc/teamviewer: bump to v15.17.6

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-misc/teamviewer/Manifest                  |   2 +
 net-misc/teamviewer/teamviewer-15.17.6.ebuild | 134 ++++++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/net-misc/teamviewer/Manifest b/net-misc/teamviewer/Manifest
index 3cd1877f620..32b10b72d05 100644
--- a/net-misc/teamviewer/Manifest
+++ b/net-misc/teamviewer/Manifest
@@ -1,2 +1,4 @@
 DIST teamviewer_15.15.5_amd64.tar.xz 13264432 BLAKE2B 
8f23c036b79c7ee7cbef1181825b5605afd77f22d0565e5359c928bd4014759c3ad56255d8e76ba75d3084c8a9bed98fcdd08f20e502c2906e6eaf6dd952a7b4
 SHA512 
e42cccb74c08ef1badcd4b78016078a9f6f3b69b700e4c64d6eae927fa4b748c11288ef5cc50aa962eabd17679479ececf8750e8c34f6361758da903e555a334
 DIST teamviewer_15.15.5_i386.tar.xz 13751236 BLAKE2B 
32d8f6494c72b51feef54e2d5dd1096aee83c283a1d07680f428bd4321ede9975d1ee4e7cd55718f9250d54304d17887b98ae6e62617e7022ec78384fdde5a16
 SHA512 
315e6fcaa6d40aab17c47ac4eee6d894be3731ae7d0242e2b11bae279627de04540f8d46908826d53b6a6d275769c19a420c6f30e9869a734e87cb7d6832bfba
+DIST teamviewer_15.17.6_amd64.tar.xz 13763464 BLAKE2B 
5dde0947470611bd67bd8913355c965c0e206d2bd5243e27a4fa742e4fc2d3e0849132a6b2527d453c1f8aa2026cb65897bc2a3c83b493914aa8bd69b1d408d7
 SHA512 
1775e1fb1c35eceb9df1ec12fb5d7a6e7e9df739a211b99561f67665834bbea2bb80af4547841b73be386cae184861d0f40423936d38f9a2055ee30edd4095c0
+DIST teamviewer_15.17.6_i386.tar.xz 14394028 BLAKE2B 
4a5f7f72887c4ba391ae444eaba2c7c474b40fc0bfbe0c7745b4c925fbf7626862de162f49f115e41ccc0858cf7d6d813eadf0940d64217a6964b4d83526b0ad
 SHA512 
f7b7a999069cb036b2b528651fb0737ca0dbcbe3b8283ca8281dd9c08f33b1aa44b7689c63816686538213cd10939dcc69510512ab61829ba7d4d7c6789709ba

diff --git a/net-misc/teamviewer/teamviewer-15.17.6.ebuild 
b/net-misc/teamviewer/teamviewer-15.17.6.ebuild
new file mode 100644
index 00000000000..f1cc5dc99df
--- /dev/null
+++ b/net-misc/teamviewer/teamviewer-15.17.6.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=${PN}${PV/\.*}
+inherit desktop systemd xdg
+
+DESCRIPTION="All-In-One Solution for Remote Access and Support over the 
Internet"
+HOMEPAGE="https://www.teamviewer.com";
+SRC_URI="amd64? ( 
https://dl.tvcdn.de/download/linux/version_${PV/\.*}x/${PN}_${PV}_amd64.tar.xz )
+               x86? ( 
https://dl.tvcdn.de/download/linux/version_${PV/\.*}x/${PN}_${PV}_i386.tar.xz )"
+
+LICENSE="TeamViewer MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtquickcontrols:5
+       dev-qt/qtwebkit:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras:5
+       sys-apps/dbus
+       !sys-auth/consolekit
+"
+
+# For consolekit incompatibility see 
https://forums.gentoo.org/viewtopic-p-8332956.html#8332956
+
+RESTRICT="bindist mirror"
+
+# Silence QA messages
+QA_PREBUILT="opt/${MY_PN}/*"
+
+S="${WORKDIR}"/teamviewer
+
+src_prepare() {
+       default
+
+       # Switch operation mode from 'portable' to 'installed'
+       sed -e "s/TAR_NI/TAR_IN/g" -i tv_bin/script/tvw_config || die
+
+       sed -e "/^ExecStart/s/${PN}/${MY_PN}/" \
+               -i tv_bin/script/teamviewerd.service || die
+}
+
+src_install() {
+       local dst="/opt/${MY_PN}" # install destination
+
+       # Quirk:
+       # Remove Intel 80386 32-bit ELF binary 'libdepend' present in all
+       # archives. It will trip the 'emerge @preserved-libs' logic on amd64
+       # when changing the ABI of one of its dependencies. According to the
+       # TeamViewer devs, this binary is an unused remnant of previous Wine-
+       # based builds and will be removed in future releases anyway
+       rm tv_bin/script/libdepend
+
+       insinto ${dst}
+       doins -r tv_bin
+
+       # Set permissions for executables and libraries
+       for exe in $(find tv_bin -type f -executable -or -name '*.so'); do
+               fperms 755 ${dst}/${exe}
+       done
+
+       # No slotting here, binary expects this service path
+       newinitd "${FILESDIR}"/teamviewerd15.init teamviewerd
+       systemd_dounit tv_bin/script/teamviewerd.service
+
+       insinto /usr/share/dbus-1/services
+       doins tv_bin/script/com.teamviewer.TeamViewer.service
+       doins tv_bin/script/com.teamviewer.TeamViewer.Desktop.service
+
+       insinto /usr/share/polkit-1/actions
+       doins tv_bin/script/com.teamviewer.TeamViewer.policy
+
+       for size in 16 24 32 48 256; do
+               newicon -s ${size} tv_bin/desktop/teamviewer_${size}.png 
TeamViewer.png
+       done
+
+       # Install documents (NOTE: using 'dodoc -r doc' instead of loop will
+       # have the undesired result of installing subdirectory 'doc' in /usr/
+       # share/doc/teamviewer-<version>)
+       for doc in $(find doc -type f); do
+               dodoc ${doc}
+       done
+
+       keepdir /etc/${MY_PN}
+       dosym ../../etc/${MY_PN} ${dst}/config
+
+       # Create directory and symlink for log files (NOTE: according to Team-
+       # Viewer devs, all paths are hard-coded in the binaries; therefore
+       # using the same path as the DEB/RPM archives, i.e. '/var/log/teamviewer
+       # <major-version>')
+       keepdir /var/log/${MY_PN}
+       dosym ../../var/log/${MY_PN} ${dst}/logfiles
+
+       dodir /opt/bin
+       dosym ${dst}/tv_bin/teamviewerd /opt/bin/teamviewerd
+       dosym ${dst}/tv_bin/script/teamviewer /opt/bin/teamviewer
+
+       make_desktop_entry teamviewer "TeamViewer ${SLOT}" TeamViewer
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+
+               elog "Please note that parallel installation of multiple 
versions of"
+               elog "TeamViewer is currently not supported at runtime. Bug 
#621818"
+               elog ""
+               elog "Before using TeamViewer, you need to start its daemon:"
+               elog "OpenRC:"
+               elog "# /etc/init.d/teamviewerd start"
+               elog "# rc-update add teamviewerd default"
+               elog
+               elog "Systemd:"
+               elog "# systemctl start teamviewerd.service"
+               elog "# systemctl enable teamviewerd.service"
+               elog
+               elog "To display additional command line options simply run:"
+               elog "$ teamviewer help"
+               elog
+               elog "Most likely TeamViewer will work normally only on systems 
with systemd"
+               elog "or elogind. See this thread for additional info:"
+               elog 
"https://forums.gentoo.org/viewtopic-p-8332956.html#8332956";
+       fi
+}

Reply via email to